Pular para o conteúdo

Get state transitions by payment ID

Requisição

Gets the state transitions for a payment by ID.

Segurança
Bearer
Caminho
paymentIdstring, (uuid)obrigatório

Unique identifier of the payment for which you want to get state transition information.

Exemplo:7ea3399c-1234-5678-8d8f-d320ea406630
curl -i -X GET \
  https://docs.ripple.com/_mock/pt-br/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/payments/7ea3399c-1234-5678-8d8f-d320ea406630/states \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Respostas

Successfully fetched payment state transitions.

Corpoapplication/json
stateTransitionsArray of objectsobrigatório
Resposta
{ "stateTransitions": [ { … } ] }